Subject: Re: Distributed storage. Move away from char device ioctls.

From: Jeff Garzik <[email-masked]>
Date: Fri, 14 Sep 2007 17:14:53 -0400

J. Bruce Fields wrote:
> On Fri, Sep 14, 2007 at 03:07:46PM -0400, Jeff Garzik wrote:
>> I've been waiting for years for a smart person to come along and write a 
>> POSIX-only distributed filesystem.

> What exactly do you mean by "POSIX-only"?

Don't bother supporting attributes, file modes, and other details not 
supported by POSIX.  The prime example being NFSv4, which is larded down 
with Windows features.

NFSv4.1 adds to the fun, by throwing interoperability completely out the 
window.

	Jeff